---
sidebar_position: 1
title: Stock page
---
import ThemedImage from '@theme/ThemedImage';
import useBaseUrl from '@docusaurus/useBaseUrl';

## Interface



<ThemedImage
  alt="Stock page"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/page.png'),
    dark: useBaseUrl('/img/pages/stock/dark/page.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/>


### Top bar


<ThemedImage
  alt="top bar"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/topbar.png'),
    dark: useBaseUrl('/img/pages/stock/dark/topbar.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/>

#### Elements

<ThemedImage
  alt="Diaper count"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/diaper_count.png'),
    dark: useBaseUrl('/img/pages/stock/dark/diaper_count.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/> 
Your total & booster diaper count


<ThemedImage
  alt="Random selection"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/top_dice.png'),
    dark: useBaseUrl('/img/pages/stock/dark/top_dice.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"64px"}
/> Button for select with random your next diaper


<ThemedImage
  alt="Sort"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/top_sort.png'),
    dark: useBaseUrl('/img/pages/stock/dark/top_sort.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"64px"}
/> Button for sort your stock

<ThemedImage
  alt="Sort"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/top_share.png'),
    dark: useBaseUrl('/img/pages/stock/dark/top_share.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"64px"}
/> Button for share your stock. You can share as an image, ou share with friends with [Stock Sharing](/docs/advanced/stock-sharing)


### Diaper

<ThemedImage
  alt="Diaper"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/diaper.png'),
    dark: useBaseUrl('/img/pages/stock/dark/diaper.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/>

Each diaper of your stock are display as list

#### Size button

<ThemedImage
  alt="Diaper size button"
  sources={{
    light: useBaseUrl('/img/pages/stock/light/size_button.png'),
    dark: useBaseUrl('/img/pages/stock/dark/size_button.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"100px"}
/>

Size buttons show remaining stock. It changes color:
* blue: for diapers with a quantity greater than the limit set in the parameters.
* red: for diapers with a quantity below the limit set in the parameters.
* purple: for diapers with infinite stock.

Clicking on these buttons will start the wearing of a new diaper

:::warning
Boosters are added to your current, and cannot start a new change.
:::

